<script>
    import { min, max, leastIndex, sum, extent, ascending } from "d3-array";
    import {  scaleLinear, scaleLog, scaleRadial  } from "d3-scale";
    import { select } from "d3-selection";
    import {lineRadial, curveCatmullRomOpen, curveCardinalClosed} from "d3-shape";
    import { text } from "svelte/internal";


    // Size and margins
    const width = 600;
    const height = 250;
    const margin = { top: 10, right: 10, bottom: 10, left: 10 };
    const innerWidth = width - margin.left - margin.right;
    const innerHeight = height - margin.top - margin.bottom;

    export let data = [];
    export let location = "";
    export let y_translation = 0;
    let months = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12];


    let yearly = scaleLinear().domain(extent(data, function(d) { return d.day_of_year; })).range([0, 2*Math.PI]);
    let scaleRadius_heating = scaleLinear().domain(extent(data, function(d) { return d.heating; })).range([10, 65]);
    let scaleRadius_cooling = scaleLinear().domain(extent(data, function(d) { return d.cooling; })).range([10, 65]);

    
    var lineRadialGenerator_heating = lineRadial()
        .angle((d) => yearly(d.day_of_year))
        .radius((d) => scaleRadius_heating(d.heating))
        .curve(curveCardinalClosed); 

    var lineRadialGenerator_cooling = lineRadial()
        .angle((d) => yearly(d.day_of_year))
        .radius((d) => scaleRadius_cooling(d.cooling))
        .curve(curveCardinalClosed);        

    var path_heating = lineRadialGenerator_heating(data);
    var path_cooling = lineRadialGenerator_cooling(data);


    let monthly = scaleLinear().domain([0,12]).range([0,354]);
    var radians = 0.0174532925;

    // var path = lineRadial()(data_);
  </script>


<g transform="translate({margin.left+100+y_translation}, {margin.top+100})">
  <text x="-45" y="-95" font-size="20">{location}</text>
  <circle r=70 fill="none" stroke="black"></circle>
  <path  d={path_heating} fill="#F08080" stroke="#FF0000" fill-opacity="0.4"></path>
  <path  d={path_cooling} fill="#87CEFA" stroke="#1E90FF" fill-opacity="0.4"></path>

  {#each months as month}
    <text x={78*Math.sin(monthly(month)*radians) - 2} y={-78*Math.cos(monthly(month)*radians)} font-size="8">{month}</text>
  {/each}

</g>

  
  <style>
    svg {
      border: 1px solid black;
      border-radius: 5px;
    }
  </style>
  